package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.enums.PageSizeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: pdf dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/13
 */
public class PdfDto {

    @ApiModelProperty(name = "路径")
    String path;

    @ApiModelProperty(name = "页数")
    int pageCount = 0;

    @ApiModelProperty(name = "实际页数")
    int actualPageCount = 0;

    @ApiModelProperty(name = "页面大小")
    PageSizeEnum pageSize;

    @ApiModelProperty(name = "序号")
    int sequence = 0;

    @ApiModelProperty(name = "tag")
    boolean tag = true;

    public PdfDto() {

    }

    public PdfDto(String path, PageSizeEnum pageSize) {
        this.path = path;
        this.pageSize = pageSize;
    }

    public PdfDto(String path, PageSizeEnum pageSize, int pageCount) {
        this.path = path;
        this.pageSize = pageSize;
        this.pageCount = pageCount;
    }

    public PdfDto(String path, PageSizeEnum pageSize, int pageCount, int sequence) {
        this.path = path;
        this.pageSize = pageSize;
        this.pageCount = pageCount;
        this.sequence = sequence;
    }

    public PdfDto(PageSizeEnum pageSize, int pageCount, boolean tag) {
        this.pageSize = pageSize;
        this.pageCount = pageCount;
        this.tag = tag;
    }

    public PdfDto(PageSizeEnum pageSize, int pageCount) {
        this.pageSize = pageSize;
        this.pageCount = pageCount;
    }

    public PdfDto(PageSizeEnum pageSize, int pageCount, int actualPageCount) {
        this.pageSize = pageSize;
        this.pageCount = pageCount;
        this.actualPageCount = actualPageCount;
    }

    public boolean isTag() {
        return tag;
    }

    public void setTag(boolean tag) {
        this.tag = tag;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }

    public int getActualPageCount() {
        return actualPageCount;
    }

    public void setActualPageCount(int actualPageCount) {
        this.actualPageCount = actualPageCount;
    }

    public int getSequence() {
        return sequence;
    }

    public void setSequence(int sequence) {
        this.sequence = sequence;
    }

    public PageSizeEnum getPageSize() {
        return pageSize;
    }

    public void setPageSize(PageSizeEnum pageSize) {
        this.pageSize = pageSize;
    }
}
